//
// shatbox (C) 2001 Matthew Conte (matt@conte.com)
//
//
// assert.h
//
// assertion macro
//
// $Id: $
//

#ifndef _ASSERT_H_
#define _ASSERT_H_

#ifndef NDEBUG
extern void __assert(const char *pExpr, const char *pFile, const int line);
#define  ASSERT(e)   ((e) ? ((void)0) : __assert(#e, __FILE__, __LINE__))
#else
#define  ASSERT(e)   ((void)0)
#endif

#endif // !_ASSERT_H_
